=== debian/changelog ===
gtool5 (20160613-4+0~20221011005912.19~1.gbp166e53) unstable; urgency=medium

  ** SNAPSHOT build @166e534fcea7bbad5ff512adb90fa1a1199bc0f2 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Tue, 11 Oct 2022 09:59:14 +0900

gtool5 (20160613-4) unstable; urgency=medium

  * Fix typo.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 11 Oct 2022 09:54:41 +0900

gtool5 (20160613-3) unstable; urgency=medium

  * d/rules: Use FC as readlink result
  * Bump compat, use dh-fortran-mod

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 24 May 2022 15:50:23 +0900

gtool5 (20160613-2) unstable; urgency=medium

  * Refresh patches
  * Disable autoreconf
  * Rebuild against new GCC suite.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Mar 2019 19:53:50 +0900

gtool5 (20160613-1) unstable; urgency=medium

  * Imported Upstream version 20160613
  * Drop doc-base registration
  * Set encoding explicitly
  * Add libnetcdff-dev in build-depends
  * Bump Standard version: 3.9.8
  * Fixed typo.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 21 Jul 2016 16:43:53 +0900
