=== debian/control ===
Source: gtool5
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper-compat (= 12), 
 dpkg-dev (>= 1.16.1~), autotools-dev,
 gfortran, mpi-default-dev, mpi-default-bin,
 libnetcdf-dev, libnetcdff-dev, netcdf-bin,
 rdtool, w3m,
 dh-fortran-mod
Standards-Version: 3.9.8
Homepage: http://www.gfd-dennou.org/library/gtool/index.htm.en
#Vcs-Git: git://git.debian.org/collab-maint/gtool5-20101228.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/gtool5-20101228.git;a=summary

Package: gtool5
Architecture: any
Section: libdevel
Suggests: gtool5-doc, netcdf-bin
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends},
 libnetcdf-dev, gfortran, mpi-default-dev, mpi-default-bin
Description: Fortran90 netCDF I/O library with gtool4 convention - development files
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool
 project.
 .
 This package provides static library, header files, wrapper shell scripts.

Package: gtool5-doc
Architecture: all
Section: doc
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Fortran90 netCDF I/O library with gtool4 convention - documents
 Gtool5 is a Fortran90 library software to read and write netCDF file
 with gtool4 convention, which is developed by GFD Dennou Club gtool
 project.
 .
 This package provides document and tutorial.
