=== debian/watch ===
version=3
http://www.gfd-dennou.org/library/gtool/gtool5/SIGEN.htm gtool5-([0-9].*)\.tgz
